OGRE: Ogre::Profile Class Reference - OGRE Documentation

Public Member Functions | Protected Attributes

# Ogre::Profile Class Reference
[General]

An individual profile that will be processed by the Profiler. More...

`#include <OgreProfiler.h>`

Inheritance diagram for Ogre::Profile:
[legend]

List of all members.

## Public Member Functions
| Profile (const String &profileName, uint32 groupID=(uint32) OGREPROF_USER_DEFAULT)
| ~Profile ()
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Protected Attributes
String | mName
| The name of this profile.
uint32 | mGroupID
| The group ID.

## Detailed Description

An individual profile that will be processed by the Profiler.

Remarks:
  Use the macro OgreProfile(name) instead of instantiating this profile directly
  We use this Profile to allow scoping rules to signify the beginning and end of the profile. Use the Profiler singleton (through the macro OgreProfileBegin(name) and OgreProfileEnd(name)) directly if you want a profile to last outside of a scope (i.e. the main game loop).

Author:
  Amit Mathew (amitmathew (at) yahoo (dot) com)

Definition at line 99 of file OgreProfiler.h.

## Constructor & Destructor Documentation

Ogre::Profile::Profile | ( | const String & | profileName,
|  | uint32 | groupID = `(uint32) OGREPROF_USER_DEFAULT` |
| ) |  |  |

Ogre::Profile::~Profile | ( |  | ) |

## Member Function Documentation

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

uint32 Ogre::Profile::mGroupID`[protected]`

The group ID.

Definition at line 110 of file OgreProfiler.h.

String Ogre::Profile::mName`[protected]`

The name of this profile.

Definition at line 108 of file OgreProfiler.h.

The documentation for this class was generated from the following file:

- OgreProfiler.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:58